View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000676Ecere SDKidepublic2012-02-05 08:222014-05-19 01:33
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000676: The form designer doesn't handle strings with \n in them very well
DescriptionThe \n gets transformed into an actual new line in the code.

The property sheet's editBox does not handle new lines either.
Steps To Reproduce- Add a button to a form
- Sets its text so something like "bla\nblo"
- Go back to the designer and double click the button
- Notice the mess
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001208)
jerome (administrator)
2014-03-26 18:04

Implemented by:
https://github.com/ecere/ecere-sdk/commit/3225ba782129a326dbb9a0a5b819c54cc9527b15 [^]
https://github.com/ecere/ecere-sdk/commit/1a9921d9f94606fca4b8a63bd78d2dc3017ddafb [^]

- Issue History
Date Modified Username Field Change
2012-02-05 08:22 jerome New Issue
2012-03-08 15:41 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-04-26 18:28 jerome Target Version 0.45 Ginkakuji => 0.44.8 Silver
2014-03-26 16:58 jerome Assigned To => jerome
2014-03-26 16:58 jerome Status new => assigned
2014-03-26 16:58 jerome Target Version 0.44.80 Silver => 0.44.10 64
2014-03-26 18:04 jerome Status assigned => resolved
2014-03-26 18:04 jerome Fixed in Version => 0.44.10 64
2014-03-26 18:04 jerome Resolution open => fixed
2014-03-26 18:04 jerome Note Added: 0001208
2014-05-19 01:33 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker